Package org.optaplanner.core.impl.score.stream.bavet.common

## Enum BavetTupleState

- java.lang.Object
- - java.lang.Enum<BavetTupleState>
  - - org.optaplanner.core.impl.score.stream.bavet.common.BavetTupleState

- All Implemented Interfaces:
    `Serializable`, `Comparable<BavetTupleState>`

      public enum BavetTupleState
      extends Enum<BavetTupleState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORTING` | Tuple which was `CREATING` and then invalidated by subsequent tuple.
    `CREATING` |
    `DEAD` |
    `DYING` | Tuple which was `UPDATING` and then invalidated by subsequent tuple.
    `NEW` |
    `OK` | Freshly refreshed tuple.
    `UPDATING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isActive()` |
    `boolean` | `isDirty()` |
    `static BavetTupleState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BavetTupleState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final BavetTupleState NEW

    - #### CREATING

          public static final BavetTupleState CREATING

    - #### UPDATING

          public static final BavetTupleState UPDATING

    - #### OK

          public static final BavetTupleState OK

      Freshly refreshed tuple.

    - #### DYING

          public static final BavetTupleState DYING

      Tuple which was `UPDATING` and then invalidated by subsequent tuple.

    - #### DEAD

          public static final BavetTupleState DEAD

    - #### ABORTING

          public static final BavetTupleState ABORTING

      Tuple which was `CREATING` and then invalidated by subsequent tuple.

  - ### Method Detail

    - #### values

          public static BavetTupleState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BavetTupleState c : BavetTupleState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BavetTupleState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isDirty

          public boolean isDirty()

    - #### isActive

          public boolean isActive()